=== debian/changelog ===
semantik (0.8.3-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/patches/kubuntu_01_wscript_log.diff: Refresh.
  * debian/patches/kubuntu_02_menu_entry_fix.diff: Drop, as it is no longer
    necessary.
  * debian/patches/ocaml-link-str.diff: Drop, as it is no longer necessary.
  * debian/patches/qreal-arm.diff: Drop, as it is no longer necessary.
  * debian/rules: Remove broken --want-rpath argument.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 03 Mar 2013 20:58:40 -0500

semantik (0.7.3-0ubuntu7) quantal; urgency=low

  * Fixed typo: "targetted" to "targeted" in debian/control file. 

 -- Bruno Ribeiro da Silva <contato@brunoribeiro.org>  Fri, 01 Jun 2012 08:33:41 -0300

semantik (0.7.3-0ubuntu6) precise; urgency=low

  * Added qreal-arm.diff to fix FTBFS on arm{el,hf}.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 02 Mar 2012 00:10:38 -0500

semantik (0.7.3-0ubuntu5) precise; urgency=low

  * Fix watch file.
  * Simplify debian/rules, adding recommended targets.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 23 Oct 2011 00:36:30 +0400
