## semantik 0.8.4

=== wscript ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # Thomas Nagy, 2007-2012 (ita)
 
 APPNAME = 'semantik'
-VERSION = '0.8.3'
+VERSION = '0.8.4'
 
 top = '.'
 
 import os, sys, re, time
-from waflib import Options, Logs, Configure
+from waflib import Options, Logs, Configure, Errors
 
 def compile_py(task):
 	outfile = task.m_outputs[0].abspath()
@@ -51,7 +51,7 @@
 	bld.install_files('${SEMANTIK_DIR}/flags', glob('src/flags/*.svg'))
 	bld.install_files('${TEMPLATE_DIR}', glob(rt+'*.py'))
 
-	bld.install_as('${TEMPLATE_DIR}/waf', 'waf')
+	bld.install_as('${TEMPLATE_DIR}/waf', 'waf', chmod=0755)
 
 	bld.install_files('${TEMPLATE_DIR}/pdflatex', glob(rt+'pdflatex/*'))
 	for x in 'html odt odp java'.split():
@@ -80,17 +80,6 @@
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/32x32/apps/semantik.png', 'src/data/hi32-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
 	bld.install_files('${KDE4_DATA_INSTALL_DIR}/semantik', 'src/data/semantikui.rc src/data/tips')
-
-	if bld.cmd in ['install', 'uninstall']:
-		lst = os.listdir('src/images')
-		lst = [x for x in lst if (x.rfind('hi')>-1)]
-		for x in lst:
-			els = x.split('-')
-			size = els[0][2:]
-
-			uh = els[2].replace('.png', '')
-			uh = 'oxygen/%sx%s/actions/%s.png' % (size, size, uh)
-			bld.install_as('${KDE4_ICON_INSTALL_DIR}/' + uh, 'src/images/%s' % x)
 
 	bld.add_post_fun(post_build)
 
@@ -135,7 +124,7 @@
 	try:
 		conf.load('kde4')
 		Logs.pprint('GREEN', "And you even have kde4! we will use it")
-	except Configure.ConfigurationError:
+	except Errors.ConfigurationError:
 		raise
 		#Logs.pprint('YELLOW', "kde4 is disabled (missing)")
 		conf.fatal('Compiling Semantik requires kde4 -devel')
