=== debian/changelog ===
semantik (0.8.4-0ubuntu2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 12:12:22 +0000

semantik (0.8.4-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Refresh patch
  * Create debian/docs
  * Bump standards-version to 3.9.5

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 21 Nov 2013 18:10:39 +1100
