=== debian/control ===
Source: semantik
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Patrick Davies <jpds@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), libqt4-dev (>= 4:4.5), kdelibs5-dev,
  python (>= 2.3), python-dev (>= 2.3), ocaml-nox, docbook2x,
  pkg-config, libxrender-dev, libqtwebkit-dev
Standards-Version: 3.9.5
Homepage: http://freehackers.org/~tnagy/semantik.html

Package: semantik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3)
Replaces: kdissert (<= 1.0.6)
Description: mindmapping-like tool for KDE
 Semantik is a mindmapping-like tool to help students to produce complicated
 documents very quickly and efficiently: presentations, dissertations, thesis,
 reports. While targeted mostly at students, Semantik can also help teachers,
 decision maker, engineers and businessmen.
