=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	PATH=$(PATH):/usr/lib/kde4/bin ./waf configure --prefix=/usr

override_dh_auto_build:
	docbook2x-man debian/semantik.1.docbook
	./waf

override_dh_auto_clean:
	dh_auto_clean
	rm -f semantik.1
	rm -f kde4.pyc
	rm -rf build
	rm -rf .waf*
	rm -f .lock-wscript

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/semantik ./waf -f install
	chmod +x $(CURDIR)/debian/semantik/usr/share/kde4/apps/semantik/filters/*.py
