=== debian/watch ===
version=3
http://code.google.com/p/semantik/downloads/list .*/semantik-(\d.*).tar.bz2
