## semantik 0.9.5

=== wscript ===
--- 
+++ 
@@ -1,46 +1,45 @@
 #! /usr/bin/env python
 # encoding: utf-8
-# Thomas Nagy, 2007-2012 (ita)
+# Thomas Nagy, 2007-2015 (ita)
 
 APPNAME = 'semantik'
-VERSION = '0.8.4'
+VERSION = '0.9.5'
 
 top = '.'
 
 import os, sys, re, time
-from waflib import Options, Logs, Configure, Errors
-
-def compile_py(task):
-	outfile = task.m_outputs[0].abspath()
-	f = open(outfile, 'w') # cpython close the file handles for you
-	w = f.write
-	w('<!DOCTYPE RCC><RCC version="1.0">\n<qresource>\n')
-	for k in task.m_inputs:
-		w(' <file>')
-		w(k.m_name)
-		w('</file>\n')
-		w('</qresource>\n</RCC>')
-	f.close()
+from waflib import Options, Logs, Configure, Errors, Utils
 
 def build(bld):
 
 	os.environ['LD_LIBRARY_PATH'] = ':'.join(bld.env['LIBPATH_KDECORE'] + [os.environ.get('LD_LIBRARY_PATH', '')])
 	bld.targets = '*' # build all targets by default
 
-	bld(
+	lst = 'src/fig/semd.cpp src/fig/semantik_d_win.cpp src/fig/diagram_document.cpp src/fig/filetree.cpp'
+
+	tg = bld(
 		features = 'cxx qt4 cxxshlib',
-		source = bld.path.ant_glob('src/wp/*.cpp'),
-		target = 'nablah',
-		use = 'QTCORE QTGUI QTWEBKIT',
-		includes='. src src/wp',
+		source = bld.path.ant_glob('src/fig/*.cpp src/base/*.cpp', excl=lst),
+		target = 'semantik',
+		name = 'semlib',
+		vnum = VERSION,
+		use = 'QTCORE QTGUI QTWEBKIT QTXML PYEMBED QTSVG KDECORE KIO KDEUI KHTML',
+		includes='. src src/fig src/base',
 		install_path = '${KDE4_LIB_INSTALL_DIR}/')
 
 	bld(features='cxx qt4 cxxprogram pyembed',
-		source = bld.path.ant_glob('src/*.cpp src/fig/*.cpp'),
-		use = 'QTCORE QTGUI QTXML QTSVG NABLAH KDECORE KIO KDEUI KHTML nablah',
+		source = bld.path.ant_glob('src/*.cpp'),
+		use = 'QTCORE QTGUI QTWEBKIT QTXML QTSVG KDECORE KIO KDEUI KHTML semlib',
 		target = 'src/semantik',
 		install_path = '${KDE4_BIN_INSTALL_DIR}/',
-		includes = '. src src/fig')
+		includes = '. src src/fig src/base')
+
+	bld(features='cxx qt4 cxxprogram pyembed',
+		source = lst,
+		use = 'QTCORE QTGUI QTWEBKIT QTXML QTSVG KDECORE KIO KDEUI KHTML semlib',
+		target = 'src/semantik-d',
+		install_path = '${KDE4_BIN_INSTALL_DIR}/',
+		includes = '. src src/fig src/base')
 
 	bld.install_files('${SEMANTIK_DIR}', 'src/sembind.py')
 
@@ -51,7 +50,7 @@
 	bld.install_files('${SEMANTIK_DIR}/flags', glob('src/flags/*.svg'))
 	bld.install_files('${TEMPLATE_DIR}', glob(rt+'*.py'))
 
-	bld.install_as('${TEMPLATE_DIR}/waf', 'waf', chmod=0755)
+	bld.install_as('${TEMPLATE_DIR}/waf', 'waf', chmod=Utils.O755)
 
 	bld.install_files('${TEMPLATE_DIR}/pdflatex', glob(rt+'pdflatex/*'))
 	for x in 'html odt odp java'.split():
@@ -62,6 +61,8 @@
 		bld.install_files('${TEMPLATE_DIR}/' + k+x, bld.path.ant_glob(rt+k+x+'/*'))
 
 	obj = bld(features='msgfmt', appname = 'semantik', langs=[x.path_from(bld.path).replace('.po', '') for x in bld.path.ant_glob('src/po/*.po')])
+	for x in bld.path.ant_glob('src/po/*.po'):
+		bld.symlink_as('${KDE4_LOCALE_INSTALL_DIR}/%s/LC_MESSAGES/semantik-d.mo' % x.name.strip('.po'), 'semantik.mo')
 
 	bld.install_files('${TEMPLATE_DIR}/beamer/beamermindist/art/', glob(rt+'beamer/beamermindist/art/*'))
 	bld.install_files('${TEMPLATE_DIR}/beamer/beamermindist/', glob(rt+'beamer/beamermindist/*'))
@@ -73,19 +74,30 @@
 	bld.install_files('${SEMANTIK_DIR}/images', glob('src/images/*.svg'))
 	bld.install_files('${FILTER_DIR}/', glob('src/filters/*'))
 
-	bld.install_files('${KDE4_XDG_APPS_INSTALL_DIR}/', 'src/data/semantik.desktop')
-	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/128x128/apps/semantik.png', 'src/data/hi128-app-semantik.png')
-	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/64x64/apps/semantik.png', 'src/data/hi64-app-semantik.png')
-	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/48x48/apps/semantik.png', 'src/data/hi48-app-semantik.png')
-	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/32x32/apps/semantik.png', 'src/data/hi32-app-semantik.png')
-	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
-	bld.install_files('${KDE4_DATA_INSTALL_DIR}/semantik', 'src/data/semantikui.rc src/data/tips')
+	bld.install_files('${KDE4_XDG_APPS_INSTALL_DIR}/', 'src/data/semantik.desktop src/data/semantik-d.desktop')
+	bld.install_files('${MIME_DIR}/', 'src/data/semantik.xml')
+
+	for x in ('', '-d'):
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/128x128/apps/semantik%s.png' % x, 'src/data/hi128-app-semantik%s.png'%x)
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/64x64/apps/semantik%s.png'% x, 'src/data/hi64-app-semantik%s.png'%x)
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/48x48/apps/semantik%s.png'% x, 'src/data/hi48-app-semantik%s.png'%x)
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/32x32/apps/semantik%s.png'% x, 'src/data/hi32-app-semantik%s.png'%x)
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/22x22/apps/semantik%s.png'% x, 'src/data/hi22-app-semantik%s.png'%x)
+
+		#bld(rule="${GZIP} -c ${SRC} > ${TGT}", source='src/data/semantik%s.svg'%x, target='src/data/semantik%s.svgz'%x)
+		bld.install_as('${KDE4_ICON_INSTALL_DIR}/oxygen/scalable/apps/semantik%s.svg'%x, 'src/data/semantik%s.svg'%x)
+
+
+	bld.install_files('${KDE4_DATA_INSTALL_DIR}/semantik', 'src/data/semantikui.rc src/data/semantik-dui.rc src/data/tips')
 
 	bld.add_post_fun(post_build)
+	# update-mime-database /usr/share/mime ?
 
 def configure(conf):
 	def test(system):
 		return (sys.platform.lower().rfind(system) > -1)
+
+	conf.find_program('gzip')
 
 	err = "Semantik cannot work on %s, please install a Linux system from http://www.opensuse.org"
 	if (test('linux')):
@@ -110,7 +122,7 @@
 	if Options.options.icons:
 		icons = Options.options.icons
 
-	conf.load('gcc g++ qt4')
+	conf.load('compiler_c compiler_cxx qt4')
 	if not conf.env.CXX: conf.fatal('Semantik requires g++ (compilation only)')
 	if not conf.env.QT_LRELEASE: conf.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
 	conf.load('python')
@@ -133,7 +145,10 @@
 	conf.define('ICONS', icons)
 	conf.define('VERSION', VERSION)
 
+	kdeconfig = conf.find_program('kde4-config')
+	prefix = conf.cmd_and_log(Utils.to_list(kdeconfig) + ['--prefix']).strip()
 	conf.env.SEMANTIK_DIR = conf.env.KDE4_DATA_INSTALL_DIR + '/semantik'
+	conf.env.MIME_DIR = prefix + '/share/mime/packages'
 	conf.define('SEMANTIK_DIR', conf.env.SEMANTIK_DIR)
 
 	conf.env.TEMPLATE_DIR = conf.env.KDE4_DATA_INSTALL_DIR + '/semantik/templates/'
@@ -175,14 +190,11 @@
 	conf.define('fillloc(x)', ''.join(buf), quote=False)
 
 
-	if Options.options.use64:
-		conf.env.shlib_INST_DIR = 'lib64'
-
 	conf.env.CXXFLAGS_PYEMBED = [x for x in conf.env.CXXFLAGS_PYEMBED if x != '-g']
 
 	if not 'CXXFLAGS' in os.environ:
 		conf.env.CXXFLAGS = '-O2 -pipe -Wall'.split()# -DDEBUG=1 -g'
-		#conf.env.CXXFLAGS = ['-g']
+		#conf.env.CXXFLAGS = ['-g', '-Wall']
 	conf.write_config_header('aux.h')
 
 	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly
@@ -194,46 +206,28 @@
 	conf.define('GAP', 50, quote=False)
 
 def options(opt):
+	opt.load('compiler_c compiler_cxx')
 	opt.load('kde4')
 	opt.load('qt4')
-	opt.load('python')
-	opt.add_option('--exe', action='store_true', default=False, help='execute after the compilation (developers)')
+	opt.load('python ')
+	opt.add_option('--exe', action='store_true', default=False, help='execute semantik after the compilation (developers)')
+	opt.add_option('--ddd', action='store_true', default=False, help='execute semantik-d after the compilation (developers)')
 	opt.add_option('--icons', action='store', default='', help='icon dirs where to look for kde icons (configuration)')
-	opt.add_option('--use64', action='store_true', default=False, help='set the installation into lib+64 (configuration)')
+	opt.add_option('--nomimes', action='store_true', default=False, help='do not run update-mime-database when installing')
+	opt.add_option('--noldconfig', action='store_true', default=False, help='do not run lconfig when installing')
 
 def post_build(bld):
 	if bld.cmd == 'install':
-		try: bld.exec_command('/sbin/ldconfig 2> /dev/null')
-		except: pass
+		if not Options.options.noldconfig:
+			try: bld.exec_command('/sbin/ldconfig 2> /dev/null')
+			except Exception: pass
+		if not Options.options.nomimes:
+			try: bld.exec_command('update-mime-database %s' % os.path.split(bld.env.MIME_DIR)[0])
+			except Exception: pass
+
 	if Options.options.exe:
 		#os.popen('export LD_LIBRARY_PATH=out/default/:$LD_LIBRARY_PATH; PATH=plugins:$PATH out/default/src/semantik')
 		bld.exec_command('LD_LIBRARY_PATH=build/:$LD_LIBRARY_PATH build/src/semantik --style plastique', stdout=None, stderr=None)
-
-	return
-	# display the graph of header dependencies
-	root = os.path.abspath('.')
-	def rep(x):
-		return str(x).replace(root, '')
-
-	import types
-	f = open('me.dot', 'w')
-	f.write("digraph G {\n")
-	table = bld.depends_on
-	for a in table:
-		for x in table[a]:
-			if type(table[a][x]) is types.ListType:
-				for y in table[a][x]:
-					f.write('"%s" -> "%s";\n' % (rep(x), rep(y)))
-			else:
-				f.write('"%s" -> "%s";\n' % (rep(x), rep(table[a][x])))
-	f.write('}\n')
-	f.close()
-
-	try:
-		os.popen('dot -Tpng me.dot -ofoo.png').read()
-	except:
-		Logs.pprint("the dot program was not found - install graphviz?")
-	else:
-		Logs.pprint("generated foo.png")
-
-
+	if Options.options.ddd:
+		bld.exec_command('LD_LIBRARY_PATH=build/:$LD_LIBRARY_PATH build/src/semantik-d --style plastique', stdout=None, stderr=None)
+
