=== src/templates/beamer/wscript ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	bld(features='tex', type='pdflatex', source='main.tex')
 
 	def view(ctx):
-		ctx.exec_command('%s build/main.pdf' % ctx.env.VIEW)
+		ctx.exec_command(ctx.env.VIEW + ['build/main.pdf'])
 
 	if bld.env.VIEW and bld.options.view:
 		bld.add_post_fun(view)
