=== debian/changelog ===
semantik (0.9.5-0ubuntu2) bionic; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 08:16:06 +0200

semantik (0.9.5-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Refresh existing patch.
  * Use dh 10.
  * Bump compat to 9.
  * Bump standards to 3.9.8
  * Bump python deps to 2.7
  * Update watch file to track github.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 06 Jan 2017 12:36:35 +0530
