=== debian/watch ===
version=4
https://github.com/ita1024/semantik/tags .*/?(\d\S+)\.tar\.gz
